%define __pkgconfig_requires %{nil}
%undefine _debugsource_packages
Summary: Class library for High Energy Physics
Name: clhep
Version: 2.4.1.3
Release: 4.1%{?dist}
License: distributable
URL: http://proj-clhep.web.cern.ch/proj-clhep/
#Source: http://proj-clhep.web.cern.ch/proj-clhep/DISTRIBUTION/tarFiles/clhep-%{version}.tgz
Source: https://proj-clhep.web.cern.ch/proj-clhep/dist1/clhep-%{version}.tgz
BuildRequires: binutils, gcc-c++,  make
Prefix: %{_prefix}
%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
BuildRequires:	cmake >= 3.4.3
%else
BuildRequires:	cmake3 >= 3.4.3
%endif


%description
The CLHEP project was proposed by Leif Lönnblad at CHEP 92. It is intended
to be a set of HEP-specific foundation and utility classes such as random
generators, physics vectors, geometry and linear algebra.

%package devel
Summary: Development files for CLHEP
Requires: %{name}

%description devel
Install this package to develop software based on CLHEP.

%prep
%setup -q -n  %{version}/CLHEP

%build
mkdir ../build
cd ../build 
%if %{?fedora}%{!?fedora:0} 
%cmake   -S ../CLHEP  -B .
%endif
%if  %{?rhel}%{!?rhel:0} == 7
%cmake3  -S../CLHEP  -B .
%endif
%if  %{?rhel}%{!?rhel:0} >= 8
%cmake  -H../CLHEP  -B.
%endif
make

%install
cd ../build 
%make_install 


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%{_libdir}/libCLHEP*.so

%files devel
#/usr/share/doc/clhep-devel-%{version}/*
%{_libdir}/pkgconfig/*
%{_bindir}/*
%{_includedir}/CLHEP
%{_libdir}/libCLHEP*.a
%{_libdir}/CLHEP-%{version}/*

%changelog
* Fri Jan 08 2016 Wei-Lun Chao <bluebat@member.fsf.org> - 2.2.0.8
- Rebuild for Fedora
* Fri Mar 05 2010 Steve Huff <shuff@vecna.org> - 2.0.4.5-1 - 8792/dag
- Updated to release 2.0.4.5.
- Fixed typo in doc cleanup script.
- Split off clhep-devel.
* Mon Jun 13 2005 Wei-Lun <chaoweilun@pcmail.com.tw> - 1.8.2.1-1
- Initial spec file created.
